# GridFire: src/include/gridfire/solver/solver.h File Reference

Loading...
Searching...
No Matches
solver.h File Reference
`#include "gridfire/engine/engine_graph.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "../engine/views/engine_adaptive.h"`
`#include "gridfire/network.h"`
`#include "fourdst/logging/logging.h"`
`#include "fourdst/config/config.h"`
`#include "quill/Logger.h"`
`#include <vector>`

Go to the source code of this file.

## Classes

class | gridfire::solver::NetworkSolverStrategy< EngineT >
| Abstract base class for network solver strategies. More...
class | gridfire::solver::DirectNetworkSolver
| A network solver that directly integrates the reaction network ODEs. More...
struct | gridfire::solver::DirectNetworkSolver::RHSManager
struct | gridfire::solver::DirectNetworkSolver::JacobianFunctor
| Functor for calculating the Jacobian matrix. More...

## Namespaces

namespace | gridfire
namespace | gridfire::solver

## Typedefs

using | gridfire::solver::DynamicNetworkSolverStrategy = NetworkSolverStrategy<DynamicEngine>
| Type alias for a network solver strategy that uses a DynamicEngine.